import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { IonInput, IonChip } from "@ionic/angular/standalone";

@Component({
  selector: 'app-edit-tag',
  templateUrl: './edit-tag.component.html',
  styleUrls: ['./edit-tag.component.scss'],
  imports:[
    IonInput,IonChip
  ],
  standalone: true,
})
export class EditTagComponent  implements OnInit {
 
  /**
   * 用户输入
   */
  userInputText:string=""
    UserInput(ev:any){
      console.log(ev)
      this.userInputText=ev.detail.value
    }
    /**
     * 标签列表
     */
    tags:Array<string>=[]
    addTag(){
      this.tags.push(this.userInputText)
      this.userInputText=""
      this.onTagChange.emit(this.tags)
    }
    @Output()
    onTagChange:EventEmitter<Array<string>>=new EventEmitter<Array<string>>()

  constructor() { }
  deleteTag(tag:string){
let idx=this.tags.findIndex(item=>item==tag);
this.tags.splice(idx,1)
  }
  ngOnInit() {}
  // shuru:string=""
  // Ces(ev:any){
  //   console.log(ev)
  //   this.shuru=ev.detail.value
  // }
  // shuchu:Array<string>=[];
  // Tianjia(){
  //   this.shuchu.push(this.shuru)
  //   this.shuru=""
  //   this.onTa.emit(this.shuchu)
  // }
}
